﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title></title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Configuring EIC System</h1>
        <h2 id="ConfiguringEICSystem-Overview">Overview</h2>
        <p>Previously, the actions performed by admin user were not controlled and governed and the admin user could assign ownership to users and approve the request. To be able to bring more governance, control and review/approve the ownership being assigned to accounts for different identity objects using workflows, EIC System feature has been introduced. Using this feature, you can manage the identity objects of EIC application within EIC.&#160;</p>
        <p>Using the <strong>ADMIN &gt; Configurations &gt; Global Configurations &gt; Common Tab &gt; Configure SSMSystem</strong>, (after 5.5.0 release the new navigation for configuring EIC system is <b>Admin &gt; Global Configurations &gt;&#160; &#160;Configure Saviynt for Saviynt</b>) you can manage the EIC application within EIC itself. Once you turn ON the Configure EIC System flag, it allows you to select the identity objects you want to import in EIC as entitlement types.&#160;The&#160;identity objects that can be imported as entitlement types into EIC are Role, Rule, Organization, Usergroup, SAVRole, Risk, Function, Business Process, and JRM.&#160;</p>
        <p>The Connections, Security System and Endpoints for EIC application are created automatically. Using the <strong>ENTITLEMENT Value Import Job</strong> and <strong>Account Import Job</strong>, all the entitlement values and mapping of account to entitlement values is imported automatically. Both jobs are created and run automatically.</p>
        <p>To provide visibility in terms of ownership of identity objects such as:&#160;Role, Rule, Organization, Usergroup, Risk, Function, Business Process, and JRM the EIC System feature has been introduced. Another purpose of importing various identity objects as entitlement types is to identify, account-based ownership of various identity objects - who is the owner of which entitlement types. From the&#160;<strong>ADMIN &gt; Identity Repository &gt; Accounts &gt; Show Accounts page &gt; Entitlement Hierarchy</strong>&#160;and&#160;<strong>Associated Entitlement Hierarchy,</strong>&#160;you can see the details of various identity objects for which the respective account is the owner.&#160;</p>
        <p style="text-align: left;">For any new addition of owner to the already imported identity objects as entitlement types,&#160;GRANTAccessJSON is used and owner is added for the respective entitlement value. Similarly, for any revoke action performed for the owner for already imported identity objects as entitlement types,&#160;RevokeAccessJSON is used to remove the owner for the respective identity object.&#160;</p>
        <h2 style="text-align: left;" id="ConfiguringEICSystem-EnablingConfiguringEICSystemFlag">Enabling Configuring EIC System Flag</h2>
        <p style="text-align: left;">To Turn ON the Configure EIC System, perform the following steps:</p>
        <ol style="text-align: left;">
            <li>Turn ON the&#160;<strong>Configure EIC System</strong>&#160;flag using <strong>ADMIN &gt; Configure &gt; Global Configuration &gt; Common Tab &gt; Configure SSMSystem</strong>.<br />Post 5.5.0 release select&#160;<b>Admin &gt; Global Configurations &gt;&#160; &#160;Configure Saviynt for Saviynt &gt;</b> select the checkbox.&#160;A dialog-box <strong>Enable Saviynt For Saviynt</strong> is displayed.</li>
            <li>Specify the connection name and select the identity objects you want to import through the connection.</li>
            <li>Click <strong>Save</strong>.&#160;<br />A connection name with the specified name along with Security System and Endpoint is automatically created in EIC. In addition, the Database Jobs&#160;<strong>ENTITLEMENT Value Import Job</strong> and&#160;<strong>&#160;Account Import Job</strong> are automatically created and run. All the entitlement values and mapping of account to entitlement values are imported automatically. In <strong>Show Accounts</strong> page, you can see the details of imported entitlement types in&#160;<strong>Entitlement Hierarchy&#160;</strong>and&#160;<strong>Associated Entitlement Hierarchy</strong>.</li>
        </ol>
        <h2 id="ConfiguringEICSystem-ImplementingControlandGovernance">Implementing Control and Governance&#160;</h2>
        <p>Once the connection, security system and endpoints are automatically created, you need to create workflow(s) and attach the workflow to the automatically created security system. The purpose of attaching the workflow to security system is to have better control and governance for entitlement types (such as:&#160;Role, Rule, Organization, Usergroup, Risk, Function, Business Process, SAVRole, and JRM)&#160;created under newly created Security System auto-created when you turned ON Configure Security System. When the request is raised for an entitlement type, it goes through the workflow attached to security system. The reviewer assigned in the workflow approves or rejects the request based on the need. Pending tasks are created for respective entitlement types. You can run the WSRETRY job to complete the pending task and as a result, the newly added entitlement types or removed entitlement types either be added or removed from&#160;<strong>Show Accounts</strong> page &gt;&#160;in&#160;<strong>Entitlement Hierarchy</strong> and&#160;<b>Associated Entitlement Hierarchy</b>.</p>
        <h3 id="ConfiguringEICSystem-Use-CaseforControlandGovernancewhenRequesting">Use-Case for Control and Governance when Requesting</h3>
        <p>To better relate and understand how control and governance happen using the Configure Security System feature, this section explains how it is triggered when requesting using ARS.</p>
        <h4 id="ConfiguringEICSystem-Prerequisites">Prerequisites</h4>
        <p>Following are prerequisites that must be already completed.</p>
        <ul>
            <li>You have Turned ON the Configure EIC System flag, specified the connection name and imported all entitlement types displayed in the dialog box.</li>
            <li>A Security System, Connection, and Endpoint are automatically created and available for use.</li>
            <li>Create a workflow and assign an approver.</li>
            <li>Attach the newly created workflow to the automatically created Security System by opening the Security System and adding the workflow in 'Access Add Workflow' and 'Access Remove Workflow' and save the security system.&#160;</li>
        </ul>
        <h4 id="ConfiguringEICSystem-Procedure">Procedure</h4>
        <p>Perform the following steps to a checklist of entitlement types assigned to an Account initially and later after requesting, how newly assigned entitlement types are assigned for the same account after undergoing workflow approval for the security system created as part of&#160;<strong>Configure Saviynt For Saviynt</strong> feature.</p>
        <ol>
            <li>As an example, the account has only one identity object assigned of which it is a member.<p><img src="../Resources/Images/Configure-saviynt-for-saviynt.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;" /><br /></p></li>
        </ol>
        <ol MadCap:continue="true">
            <li>For the same account, access ownership needs to be provided for other identity objects such as UserGroup, Organization, JRM, BusinessProcess, and Function.</li>
            <li>The process implemented through ARS request and workflow approval process.&#160;Click <strong>ARS &gt; Access Request for Others</strong>.&#160;User List screen is displayed.</li>
            <li>Select the same user account for which you want to provide access to identity objects such as UserGroup, Organization, JRM, BusinessProcess, and Function.</li>
            <li>Click <strong>Modify Existing Account</strong>&#160;against the auto-created security system for which you want to assign additional access to identity objects.</li>
            <li>Click <strong>Checkout</strong>.</li>
            <li>Select the entitlement values from entitlement types such as UserGroup, Organization, JRM, BusinessProcess, and Function from Available list to Selected list and click <strong>Next</strong>.</li>
            <li>Specify <strong>Comments</strong> and click <strong>Submit</strong>. A Request Number is generated.&#160;Based on the workflow attached to the security system, the request is assigned to the respective Approver.</li>
            <li>Login as approver in EIC.</li>
            <li>Click <strong>ARS &gt; Request Approval</strong>. The list of request is displayed.&#160;</li>
            <li>Click on the Request number from the list.</li>
            <li>Click <strong>Accept All</strong>.&#160;A dialog box is displayed to enter comments.</li>
            <li>Specify the comments and click <strong>Submit</strong>.</li>
            <li>Click <strong>Confirm</strong>. A message Request Completed is displayed.</li>
            <li>The request is displayed in the Pending Tasks list.</li>
            <li>To complete the task for that request, run the WSRETRY Job from <strong>ADMIN &gt; Job Control Panel &gt; Utility</strong>.</li>
            <li>Pending tasks is completed and access provided in this use-case for the user account&#160;G000526 for additional entitlement types such as UserGroup, Organization, JRM, BusinessProcess, and Function is granted.</li>
            <li>To confirm, click Accounts and search for user&#160;accout and click on the account. Once open click <strong>Entitlement Hierarchy</strong>.&#160;</li>
        </ol>
    </body>
</html>